Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 484423 - Review Request: netbook-launcher - A clutter-based desktop launcher
Summary: Review Request: netbook-launcher - A clutter-based desktop launcher
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 451772 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW FedoraMini, Mobility
TreeView+ depends on / blocked
 
Reported: 2009-02-06 17:54 UTC by Michel Alexandre Salim
Modified: 2010-07-16 18:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 18:39:12 UTC


Attachments (Terms of Use)
replaces non working dialog with gnome defaults. (deleted)
2009-03-23 16:07 UTC, Traxtopel
no flags Details | Diff
Update logout/etc patch (deleted)
2009-04-29 14:19 UTC, Traxtopel
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Launchpad 369942 None None None Never

Description Michel Alexandre Salim 2009-02-06 17:54:52 UTC
Spec URL: http://salimma.fedorapeople.org/specs/gnome/netbook-launcher.spec
SRPM URL: http://salimma.fedorapeople.org/specs/gnome/netbook-launcher-1.2-1.fc11.src.rpm
Description:
Netbook Launcher is a desktop launcher that uses the clutter UI
library. It is commonly being used on netbook desktops with a
resolution of 1024x600 pixels and also supposed to support usage on
touchscreens. It follows the xdg spec standards from freedesktop.org
for the Desktop menu layout.

Comment 1 Michel Alexandre Salim 2009-02-06 18:01:59 UTC
*** Bug 451772 has been marked as a duplicate of this bug. ***

Comment 2 Michel Alexandre Salim 2009-02-06 18:04:47 UTC
F10 Koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1109733

It currently does not build on Rawhide due to some Dwarf error:

/usr/bin/ld: Dwarf Error: Offset (5317) greater than or equal to .debug_str size (4647).
main.o: In function `main':
/home/michel/rpmbuild/BUILD/netbook-launcher-1.2/src/main.c:118: undefined reference to `libgnomeui_module_info_get'
/home/michel/rpmbuild/BUILD/netbook-launcher-1.2/src/main.c:118: undefined reference to `gnome_program_init'

... (the list goes on)

Comment 3 Michel Alexandre Salim 2009-03-02 21:04:26 UTC
OK, fixed now. The new versions are listed on a different page.

Spec URL: http://salimma.fedorapeople.org/specs/gnome/netbook-launcher.spec
SRPM URL:
http://salimma.fedorapeople.org/specs/gnome/netbook-launcher-1.6.8-1.fc10.src.rpm

Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1214501

Comment 4 Christoph Wickert 2009-03-10 03:26:50 UTC
If this is the successor of ume-launcher, it should certainly obsolete it.

Comment 5 Michel Alexandre Salim 2009-03-10 13:08:18 UTC
 It is indeed. Upstream documentation is a bit sparse, I (or someone else) will need to observe how Ubuntu switches between maximus/netbook-launcher and the normal GNOME stack.

Currently, installing this and maximus means that they both get started on your next GNOME seession. Not much fun.

Comment 6 Christoph Wickert 2009-03-10 13:20:24 UTC
Another issue that comes to my mind is the name. "Netbook" is a tradmark of Psion and the lawsuit Dell, Intel and others vs. Psion is not finished yet.

Comment 7 Traxtopel 2009-03-23 14:36:28 UTC
Did you find a workaround for the gdm_socket, this software still uses

#define GDM_SOCKET_PATH \
  "/var/run/gdm_socket" G_SEARCHPATH_SEPARATOR_S \
  "/tmp/.gdm_socket"

Without this being updated you cannot logout using the panel.


Should also be pre/post script added to spec.

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

Comment 8 Traxtopel 2009-03-23 16:07:23 UTC
Created attachment 336312 [details]
replaces non working dialog with gnome defaults.

Patched for 1.6.16

Adds
Lock Screen
Logout 
Quit
Defaults to gnome applets.

Comment 9 Michel Alexandre Salim 2009-04-29 12:45:06 UTC
Thanks! And sorry for the delay. I've been running 1.6.21 and most things work (apart from, strangely, the Log Out button).

http://salimma.fedorapeople.org/specs/gnome/netbook-launcher.spec
http://salimma.fedorapeople.org/specs/gnome/netbook-launcher-1.6.21-1.fc11.src.rpm

Should we ask the legal team about the netbook trademark?

Comment 10 Traxtopel 2009-04-29 14:18:33 UTC
The logout button will not work since it prereqs an older gdm (needs socket), needs a rewrite. The patch I proposed adds functionality.

Comment 11 Traxtopel 2009-04-29 14:19:32 UTC
Created attachment 341758 [details]
Update logout/etc patch

Workaround for logout button issue.

Comment 12 Michel Alexandre Salim 2009-04-30 17:23:00 UTC
Thanks. I've stayed away from the UI changes -- on a netbook, the right-hand side is cluttered enough already with my bookmarks that adding any more default buttons makes the interface less usable.

I've fixed the GDM calls for logout, shutdown and restart:

http://salimma.fedorapeople.org/specs/gnome/netbook-launcher-1.6.21-2.fc11.src.rpm
http://salimma.fedorapeople.org/specs/gnome/netbook-launcher.spec

http://koji.fedoraproject.org/koji/taskinfo?taskID=1330621

and send the patches upstream (see external bug report link)

Would you like to do a formal review? The only unpatched thing right now is the Ubuntu icon -- I'd perhaps ask the art team to take a look.

Comment 13 Christoph Wickert 2009-06-08 13:56:11 UTC
Ok, now that the lawsuit is settled, I'm going to review this. Stay tuned.

Comment 14 Christoph Wickert 2009-06-12 02:10:06 UTC
OK, just a short message I'm still working on this. From a packaging POV most things look good (but there are some problems), but the app itself needs some love, especially the patch:

- Logout dialog is huge, at least when using German localization
- The dialog is not closed after switching user or locking screen
- Icons standby and hibernate are not the right ones, should be the ones from g-p-m
- Icon for reboot should be xfsm-reboot from xfce-session I guess
- The Ubuntu artwork should be replaced with Fedora or removed
- Change the colors to something more Fedora-like?

I will look into these this weekend.

BTW: The package does not build in F-12 due to missing BRs. I guess this a problem with pkg-config evaluating Requires.private in a pkgconfig file that is missing a requirement, but I haven't looked what is actually missing.

Comment 15 Didier 2009-07-29 10:22:14 UTC
FYI : version 2.0.0 was released last week (July, 22nd).

Comment 16 Peter Robinson 2010-01-25 21:32:59 UTC
Is there still issue in this, or should the review be closed?

Comment 17 Christoph Wickert 2010-01-25 21:50:27 UTC
I still like to see this in Fedora, so I suggest to update to the latest release and then I will review it.

Comment 18 Peter Robinson 2010-01-25 22:36:58 UTC
Michael: please update the package for review

Comment 19 Juan Manuel Rodriguez 2010-05-26 22:54:22 UTC
Hey Michel, if you're no longer interested, would you mind if I took the package instead? 

I'll take radio silence by Friday, May 28 as a 'yes' :)

Comment 20 Michel Alexandre Salim 2010-05-27 12:17:47 UTC
Certainly, do go ahead. I ended up using gnome-shell as my netbook's primary interface, and there were several time-consuming changes that still needed to be made to netbook-launcher at the time (user interface icons, etc.) that someone who uses it more should probably take over.

Apologies for the delay!

Comment 21 Christoph Wickert 2010-07-16 18:39:12 UTC
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews I'm now closing this bug. 

@Juan, if you are interested in this package, please open a new review request. Close this one a duplicate of the new one and CC me when you do so.


Note You need to log in before you can comment on or make changes to this bug.